Bug 739504 - [webadmin] Calls to DataProvider.GetXXXStorageDomainList() need to be async
Summary: [webadmin] Calls to DataProvider.GetXXXStorageDomainList() need to be async
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: unspecified
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.1
Assignee: Gilad Chaplik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-19 10:15 UTC by Danny Rankevich
Modified: 2015-06-19 05:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: ---


Attachments (Terms of Use)

Description Danny Rankevich 2011-09-19 10:15:09 UTC
In DataCenterStorageListModel.AttachInternal(), there are calls to

DataProvider.GetISOStorageDomainList()
DataProvider.GetStorageDomainList()

which need to be async.

Comment 3 Itamar Heim 2012-08-09 08:03:27 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 4 Itamar Heim 2012-08-09 08:04:08 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.